      subroutine  outputInitial
     &     (time,timeF,dt,maxStep,dx,numbCells,cIS,uIS,xID) 
      implicit none

      include 'parameters.h'
      include 'input_output.h'
      include 'initial.h'
      include 'wave_constants.h'
      include 'exact.h'

c     Input:
      real*8 time,timeF,dt
      integer maxStep
      real*8 dx
      integer numbCells
      real*8 cIS(0:N_INIT_STATE,1:N_EQUATIONS)
      real*8 uIS(0:N_INIT_STATE,1:N_EXT_VARS)
      real*8 xID(0:N_INIT_DISC)
c     Auxiliary:
      real*8 veljump2vel

      open (fid,file='initial.dat',status='new')

      write(fid,*) 'time =',time
      write(fid,*) 'timeF =',timeF
      write(fid,*) 'dt =',dt
      write(fid,*) 'maxStep =',maxStep
      write(fid,*) 'dx =',dx
      write(fid,*) 'numbCells =',numbCells
      write(fid,*) 'xL =', xID(1)
      write(fid,*) 'xShock=', xID(2)
      write(fid,*) 'xR =', xID(3)
      write(fid,*) 'wShock=', wInit(2)
      write(fid,*) 'rho L =', uIS(lCSt,IRHO)
      write(fid,*) 'vel L =', uIS(lCSt,IVEL)
      write(fid,*) 'pre L =', uIS(lCSt,IPRE)
      write(fid,*) 'snd L =', uIS(lCSt,ISND)
      write(fid,*) 'mom L =', cIS(lCSt,IMOM)
      write(fid,*) 'ene L =', cIS(lCSt,IENE)
      write(fid,*) 'rho R =', uIS(rCSt,IRHO)
      write(fid,*) 'vel R =', uIS(rCSt,IVEL)
      write(fid,*) 'pre R =', uIS(rCSt,IPRE)
      write(fid,*) 'snd R =', uIS(rCSt,ISND)
      write(fid,*) 'mom R =', cIS(rCSt,IMOM)
      write(fid,*) 'ene R =', cIS(rCSt,IENE)
      write(fid,*) 'Lambda1 L =', 
     &     veljump2vel(uIS(lCSt,IVEL),uIS(lCSt,ISND),DIR_L)
      write(fid,*) 'Lambda3 L =', 
     &     veljump2vel(uIS(lCSt,IVEL),uIS(lCSt,ISND),DIR_R)
      write(fid,*) 'Lambda1 R =', 
     &     veljump2vel(uIS(rCSt,IVEL),uIS(rCSt,ISND),DIR_L)
      write(fid,*) 'Lambda3 R =', 
     &     veljump2vel(uIS(rCSt,IVEL),uIS(rCSt,ISND),DIR_R)
      
      close(fid)

      end
