      program testNewt
      implicit none

      include 'input_output.h'
      include 'wave_constants.h'

c     Input:
      real*8 rho_l0,vel_l0,pre_l0,rho_r0,vel_r0,pre_r0
      real*8 cfl
c     Auxiliary:
      real*8 snd_l0,snd_r0
      real*8 rho_0(N_STATES),vel_0(N_STATES),pre_0(N_STATES)
      real*8 snd_0(N_STATES)
      real*8 w_0(N_EDGES)
      integer signif_0(N_WAVES),wave_type_0(N_WAVES)
      logical IsVacuum
      integer labelLgth
      character*80 label
      real*8 xM,dxL,dxR,xL,xR,timeL,timeR,time,maxTime
      real*8 thermSt2snd

      call readEOSConst()

      open(fid,file='newt.inp',status='old')
      read(fid,*) rho_l0,vel_l0,pre_l0,rho_r0,vel_r0,pre_r0,cfl
      read(fid,*) PRINT_NEWTON
      read(fid,*) PRINT_NEWTON_CONV
      read(fid,*) PRINT_RP
      read(fid,*) PRINT_WC
      read(fid,*) PRINT_INIT_WC
      close(fid)

      snd_l0 = thermSt2snd(rho_l0,pre_l0)
      snd_r0 = thermSt2snd(rho_r0,pre_r0)

      write(*,*) rho_l0,vel_l0,pre_l0,snd_l0
      write(*,*) rho_r0,vel_r0,pre_r0,snd_r0
      write(*,*)

      label = 'test'
      labelLgth = index(label,' ')-1

      call riemann(     
     &     rho_l0,vel_l0,pre_l0,snd_l0, rho_r0,vel_r0,pre_r0,snd_r0,
     &     labelLgth,label,
     &     rho_0,vel_0,pre_0,snd_0, w_0,signif_0,wave_type_0,IsVacuum)

      xM = 0.d0
      dxL = 1.d0
      dxR = 1.d0
      xL = xM - dxL
      xR = xM + dxR
      timeL = maxTime(vel_l0,snd_l0,dxL) 
      timeR = maxTime(vel_r0,snd_r0,dxR) 
      time = cfl*dmin1(timeL,timeR)

      call rpSnapshot(
     &     rho_0,vel_0,pre_0,snd_0,w_0,signif_0,wave_type_0,IsVacuum,
     &     xL,xM,xR,time,labelLgth,label)

      end
